Package: org.gradle.api.publish.ivy

## [Java] Interface IvyDependency

- A module dependency declared in an ivy dependency descriptor published as part of an IvyPublication.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getConfMapping()` The configuration mapping string that will be output for this dependency.
    `String` | `getModule()` The module value for this dependency.
    `String` | `getOrganisation()` The organisation value for this dependency.
    `String` | `getRevision()` The revision value for this dependency.

- - ### Method Detail

    - #### public String getConfMapping()

      The configuration mapping string that will be output for this dependency. A null value indicates that no "conf" attribute will be written for this dependency.

      Returns:
        the configuration mapping

    - #### public String getModule()

      The module value for this dependency.

    - #### public String getOrganisation()

      The organisation value for this dependency.

    - #### public String getRevision()

      The revision value for this dependency.